package server.match.objects;

public class ShootingLine {
	private int startx, starty, length;

	// Contains logic of a line
	public ShootingLine(int startx, int starty) {
		this.startx = startx;
		this.starty = starty;
	}

	// ** Getters and Setters **//

	public int getLength() {
		return length;
	}

	public int getMaxHeight() {
		return starty - length * 30;
	}

	public int getX() {
		return startx;
	}

	public int getY() {
		return starty;
	}

	public int getWidth() {
		return 10;
	}

	public int getHeight() {
		return getLength() * 30;
	}

	public void setLength(int length) {
		this.length = length;
	}
}
